
<?php
if (!defined('ABSPATH')) exit;

//当前地址
$location = WShop_Helper_Uri::get_location_uri();
//uuid
$context = WShop_Helper::generate_unique_id();
//获取会员类型
global $wpdb;
$memberships = $wpdb->get_results(
    "select *
                      from {$wpdb->prefix}wshop_membership m
                      inner join {$wpdb->posts} p on p.ID = m.post_ID
                      where p.post_type='".WShop_Membership::POST_T."'
                            and p.post_status='publish'
                      order by p.menu_order;");
//会员说明
$membershipNotes=WShop_Add_On_Membership::instance()->get_option('membership_notes');
//支付方式
$payment_gateways = WShop::instance()->payment->get_payment_gateways();
do_action('wshop_footer', $payment_gateways);
//获取会员有效时长
if(!function_exists('getMembershipValidTime')){
    function getMembershipValidTime($validTime){
        if(!$validTime){
            return '永久有效';
        }
        $year = absint($validTime/(12*30*24*60*60));
        $totalMonth = absint($validTime%(12*30*24*60*60));
        $month =  absint($totalMonth/(30*24*60*60));
        $totalDay =absint($totalMonth%(30*24*60*60));
        $day = absint($totalDay/(24*60*60));
        $totalHour =absint($totalDay%(24*60*60));
        $hour =absint( $totalHour/(60*60));
        $txt="有效期";
        if($year)$txt.=$year.'年';
        if($month)$txt.=$month.'月';
        if($day)$txt.=$day.'日';
        if($hour)$txt.=$hour.'小时';
        return $txt;
    }
}
?>
<div id="xh_buy_membership_model">
    <?php if (!is_user_logged_in()):?>
        <div class="xunhu-text-center xunhu-font">你还没有登录，请先<a style="color: #f98000!important;" href="<?php echo wp_login_url(WShop_Helper_Uri::get_location_uri()) ?>">登录</a> 或 <a style="color: #f98000!important;" href="<?php echo wp_registration_url() ?>">注册</a></div>
    <?php endif;?>
    <div class="xunhu-alert xunhu-alert-danger xh-w50" id="xh_buy_model_error_notice" style="display: none;">
        你还没登陆！请先<a href="<?php echo wp_login_url($location);?>" style="text-decoration: none;">登陆</a>后再操作
    </div>
    <div class="xunhu-modal-content xunhu-member-border">
        <div class="xunhu-ptb40">
            <div class="xunhu-text-center xunhu-font font-16 text-download">
                请选择会员类型
                <a href="javascript:void(0);" class="xunhu-up-icon" onclick="XH_Plugins_Custom.show_or_hide_membership_notes(this,'xh_membership_notes');"></a>
            </div>
            <div id="xh_membership_notes" class="xunhu-font xunhu-bg-color xunhu-radius xunhu-p15 text-help xunhu-member-info">
                <? echo $membershipNotes;?>
            </div>
            <div class="xunhu-flex xunhu-flex-row xunhu-justify-content-center xunhu-mt20 xunhu-font xunhu-flex-wrap">
                <?php
                $i=0;
                foreach ($memberships as $item):
                    $i++;
                    $membership=new WShop_Product($item->post_ID);
                    if(!$membership->is_load()) continue;?>
                    <div class="xunhu-member-item xh-membership-type <?php echo $i==1?'active':'';?>" data-id="<?php echo $item->post_ID;?>" onclick="XH_Plugins_Custom.xh_membership_type_sel(this);">
                        <div class="xunhu-text-lg"><?php echo $membership->get_single_price(true);?></div>
                        <div class="xunhu-mt10 multi-ellipsis"><?php echo $membership->get('post_title');?></div>
                        <div><?php echo getMembershipValidTime($item->valid_time)?></div>
                    </div>
                <?php endforeach;?>
            </div>
            <div class="xunhu-flex xunhu-flex-row xunhu-justify-content-center xunhu-mt20 xunhu-font font-20 xh-member-pay">
                <a href="javascript:void(0);" id="pay_mode" class="active" onclick="XH_Plugins_Custom.xh_buy_membership_mode_sel(this);">在线支付</a>
                <a href="javascript:void(0);" id="code_mode" class="xunhu-ml10" onclick="XH_Plugins_Custom.xh_buy_membership_mode_sel(this);">激活码支付</a>
            </div>
            <div id="pay_mode_container" class="xunhu-font xunhu-text-center font-16">
                <div class="radio">
                    <?php
                    //获取支付方式
                    foreach ($payment_gateways as $v) {?>
                        <input id="buy_membership_radio_<?php echo esc_attr($v->id); ?>" name="buy_membership_payment" type="radio" value="<?php echo esc_attr($v->id); ?>" checked>
                        <label for="buy_membership_radio_<?php echo esc_attr($v->id); ?>" class="radio-label">
                            <img src="<?php echo $v->icon_small;?>" style="display: inline-block;height: 16px;width: 16px;vertical-align: middle">
                            <?php echo esc_attr($v->title); ?>
                        </label>
                    <?php } ?>
                </div>
            </div>
            <div id="code_mode_container" class="xunhu-text-center xunhu-mt20 xunhu-font" style="display: none;">
                <input id="buy_membership_code_<?php echo $context;?>" type="text" placeholder="请输入激活码" class="xunhu-input xh-w50">
            </div>
            <div class="xunhu-text-center xunhu-mt20"><a href="javascript:void(0);" class="xunhu-btn xunhu-btn-green" id="xh_buy_membership_<?php echo $context;?>">立即支付</a></div>
            <script type="text/javascript">
                (function ($) {
                    $('#xh_buy_membership_<?php echo $context;?>').click(function () {
                        $('.xh-membership-type').each(function () {
                            if($(this).is('.active')){
                                XH_Plugins_Custom.data['membership_id']=$(this).data('id');
                            }
                        });
                        var params={
                            url: '<?php echo esc_url_raw(WShop::instance()->ajax_url(array('action' => 'wshop_checkout_v2', 'tab' => 'membership', 'section' => 'membership'), true, true))?>',
                            type:'POST',
                            data: {
                                code: "",
                                location: "<?php echo $location;?>",
                                payment_method:"",
                                post_id:XH_Plugins_Custom.data['membership_id'],
                                scope:""
                            }
                        };
                        if(!XH_Plugins_Custom.data['buy_membership']){
                            XH_Plugins_Custom.data['buy_membership']='pay_mode';
                        }
                        if(XH_Plugins_Custom.data['buy_membership']==='pay_mode'){
                            params['data']['code']='';
                            params['data']['payment_method']=$('#xh_buy_membership_model input:radio[name="buy_membership_payment"]:checked').val();
                            params['data']['scope']='pay';
                        }else if(XH_Plugins_Custom.data['buy_membership']==='code_mode') {
                            params['data']['code']=$('#buy_membership_code_<?php echo $context;?>').val();
                            params['data']['scope']='code';
                        }
                        XH_Plugins_Custom.xh_now_pay('xh_buy_membership_model',params);
                    });
                })(jQuery);
            </script>

        </div>
    </div>
</div>







